Subject: Fw: [Bug 200967] New: No network with U.S. Robotics USR997902

From: Stephen Hemminger <[email-masked]>
Date: Wed, 29 Aug 2018 08:02:36 -0700

Begin forwarded message:

Date: Wed, 29 Aug 2018 04:36:20 +0000
From: [email-masked]
To: [email-masked]
Subject: [Bug 200967] New: No network with U.S. Robotics USR997902

https://bugzilla.kernel.org/show_bug.cgi?id=200967

            Bug ID: 200967
           Summary: No network with U.S. Robotics USR997902
           Product: Networking
           Version: 2.5
    Kernel Version: 4.18.5
          Hardware: x86-64
                OS: Linux
              Tree: Mainline
            Status: NEW
          Severity: normal
          Priority: P1
         Component: IPV4
          Assignee: [email-masked]
          Reporter: [email-masked]
        Regression: No

Created attachment 278193
  --> https://bugzilla.kernel.org/attachment.cgi?id=278193&action=edit  
dmesg and hwinfo output

(I am reporting this upstream as instructed by OpenSUSE, where I had originally
reported this problem.)

After upgrading to kernel 4.18 (originally noticed the problem with kernel
4.18.0, the problem persists with kernel 4.18.5), I could no longer connect to
the network.

A similar machine, which I upgraded at the same time, had no problem, so I
thought that the problem might be due to my using a network card instead of the
motherboard's built-in network controller. Sure enough, configuring the
built-in controller and connecting that to the network worked fine.

According to lspci, the card that doesn't work with the new kernel is:
U.S. Robotics USR997902 10/100/1000 Mbps PCI Network Card (rev 10)

Ifconfig shows that the network controller has been recognized as such, but
that it has not obtained an IP address.

The problem did not occur with kernel 4.17.14.

I have attached the output of hwinfo and dmesg for kernels 4.17.14 and 4.18.5,
with the network cable connected to the U.S. Robotics controller (enp5s0).

-- 
You are receiving this mail because:
You are the assignee for the bug.